<?php
$t = "Авторизация";

if ($user->auth()){
	twig("/login.lm", ["block"	=>	"user_is_loggined"]);
}

if (isset($_POST["auth"])){
	if (!isset($_POST["username"]) || empty($_POST["username"])){
		$core->regError("Не введен логин","Не введен логин",1,"Auth");
	} elseif (!isset($_POST["password"]) || empty($_POST["password"])){
		$core->regError("Не введен пароль","Не введен пароль",2,"Auth");
	} elseif (!$user->authUser($core->FilterString($_POST["username"]),$core->StringHash($core->FilterString($_POST["password"])))){
		$core->regError("Не удалось войти в аккаунт, логин или пароль не совпадает.","Не удалось войти в аккаунт, логин или пароль не совпадает.",3,"Auth");
	} else {
		setcookie('gLL', $core->FilterString($_POST["username"]), time()+60*60*24*7,'/',$real_name);
        setcookie('gLP', $core->StringHash($core->FilterString($_POST["password"])), time()+60*60*24*7,'/',$real_name);
		twig("/login.lm", ["block"	=>	"user_is_successful"]);

		include_once 'core/head.php';
		echo '<div class="success">Вы успешно вошли в аккаунт и теперь можете продолжать использование сайта</div>';
		echo ($back?linkGen($back,"Продолжить использование сайта",["data-id"=>"link-back"]):null);
		echo linkGen("/","На главную",["data-id"=>"link-home"]);
		include_once 'core/foot.php';
		die();
	}
}
twig("/login.lm", ["block"	=>	"base"]);

?>